<template>
    <v-btn color="" small fab absolute top right class="favorite-btn" :class="{ activefav: isActive }" @click="favoriteBook()">
        <font-awesome-icon :icon="['fas','star']"></font-awesome-icon>
       
    </v-btn>
</template>

<script>
import {mapActions} from 'vuex';
export default {
    data:()=>({
        isActive: false
    }),
    props:{
        bookid: {type:String},
        booktitle:{type:String},
        bookcoverimage:{type:String}
    },
    methods:{
        ...mapActions([
            'addFavoriteBooks'
        ]),
        favoriteBook(){
           
            this.isActive = !this.isActive
            
            let payload = {
                bookid: this.bookid,
                booktitle: this.booktitle,
                bookcoverimage: this.bookcoverimage,
                favorite: this.isActive
            }
            
            this.addFavoriteBooks(payload)
           
        }
    }
}
</script>

<style>
.favorite-btn:hover{
    background-color: rgba(250, 250, 109,0.8) !important;
}
.activefav{
    background-color: rgba(250, 250, 109,1) !important;

}
</style>